Package org.springframework.context.weaving

# Class LoadTimeWeaverAwareProcessor

java.lang.Object
org.springframework.context.weaving.LoadTimeWeaverAwareProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.config.BeanPostProcessor`

public class LoadTimeWeaverAwareProcessor extends Object implements org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.BeanFactoryAware
`BeanPostProcessor` implementation that passes the context's default `LoadTimeWeaver` to beans that implement the `LoadTimeWeaverAware` interface.

`Application contexts` will automatically register this with their underlying `bean factory`, provided that a default `LoadTimeWeaver` is actually available.

Applications should not use this class directly.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  - `LoadTimeWeaverAware`
  - `ConfigurableApplicationContext.LOAD_TIME_WEAVER_BEAN_NAME`

## Constructor Summary

Constructors
Constructor
Description
`LoadTimeWeaverAwareProcessor()`
Create a new `LoadTimeWeaverAwareProcessor` that will auto-retrieve the `LoadTimeWeaver` from the containing `BeanFactory`, expecting a bean named `"loadTimeWeaver"`.
`LoadTimeWeaverAwareProcessor(org.springframework.beans.factory.BeanFactory beanFactory)`
Create a new `LoadTimeWeaverAwareProcessor`.
`LoadTimeWeaverAwareProcessor(LoadTimeWeaver loadTimeWeaver)`
Create a new `LoadTimeWeaverAwareProcessor` for the given `LoadTimeWeaver`.

## Method Summary

Modifier and Type
Method
Description
`Object`
`postProcessAfterInitialization(Object bean, String name)`
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`
`void`
`setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadTimeWeaverAwareProcessor

public LoadTimeWeaverAwareProcessor()
Create a new `LoadTimeWeaverAwareProcessor` that will auto-retrieve the `LoadTimeWeaver` from the containing `BeanFactory`, expecting a bean named `"loadTimeWeaver"`.

### LoadTimeWeaverAwareProcessor

public LoadTimeWeaverAwareProcessor(@Nullable LoadTimeWeaver loadTimeWeaver)
Create a new `LoadTimeWeaverAwareProcessor` for the given `LoadTimeWeaver`.

If the given `loadTimeWeaver` is `null`, then a `LoadTimeWeaver` will be auto-retrieved from the containing `BeanFactory`, expecting a bean named `"loadTimeWeaver"`.

Parameters:
  `loadTimeWeaver` - the specific `LoadTimeWeaver` that is to be used

### LoadTimeWeaverAwareProcessor

public LoadTimeWeaverAwareProcessor(org.springframework.beans.factory.BeanFactory beanFactory)
Create a new `LoadTimeWeaverAwareProcessor`.

The `LoadTimeWeaver` will be auto-retrieved from the given `BeanFactory`, expecting a bean named `"loadTimeWeaver"`.

Parameters:
  `beanFactory` - the BeanFactory to retrieve the LoadTimeWeaver from

## Method Details

### setBeanFactory

public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

Specified by:
  `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`

### postProcessBeforeInitialization

public Object postProcessBeforeInitialization(Object bean, String beanName) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
Throws:
  `org.springframework.beans.BeansException`

### postProcessAfterInitialization

public Object postProcessAfterInitialization(Object bean, String name)

Specified by:
  `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`